commit 50797347d598b12739407b61f0f76c67224af5de
Author: freddy77 <freddy77>
Date:   Mon May 11 09:05:11 2009 +0000

    fix reading empty packets

diff --git a/ChangeLog b/ChangeLog
index 39db555..2c07e0e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon May 11 11:04:52 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/read.c: fix reading empty packets
+
 Mon May 11 09:52:26 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/buffering.h: fix a test
 	* src/dblib/unittests/t0013.c src/dblib/unittests/t0013.sql:
@@ -1536,4 +1539,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2784 2009/05/11 07:53:26 freddy77 Exp $
+$Id: ChangeLog,v 1.2785 2009/05/11 09:05:11 freddy77 Exp $
diff --git a/src/tds/read.c b/src/tds/read.c
index ac76c7c..1f7886f 100644
--- a/src/tds/read.c
+++ b/src/tds/read.c
@@ -47,7 +47,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: read.c,v 1.108 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: read.c,v 1.109 2009/05/11 09:05:11 freddy77 Exp $");
 
 static int read_and_convert(TDSSOCKET * tds, const TDSICONV * char_conv,
 			    size_t * wire_size, char **outbuf, size_t * outbytesleft);
@@ -71,7 +71,7 @@ tds_get_byte(TDSSOCKET * tds)
 {
 	int rc;
 
-	if (tds->in_pos >= tds->in_len) {
+	while (tds->in_pos >= tds->in_len) {
 		do {
 			if (IS_TDSDEAD(tds) || (rc = tds_read_packet(tds)) < 0)
 				return 0;

